Opened 4 years ago

Closed 2 years ago

#16583 closed enhancement (duplicate)

obfsproxy executable no longer needed in Tor Browser

Reported by: arma Owned by: tbb-team
Priority: Medium Milestone:
Component: Applications/Tor Browser Version:
Severity: Normal Keywords: SponsorS, tbb-gitian
Cc: gk Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

Yawning tells me that all the PT protocols in Tor Browser except fte, meek, flashproxy use obfs4proxy as their client.

Yet we still ship all the Python obfsproxy goo.

Apparently we do this for fte, which pulls it in.

But fte doesn't use the obfsproxy binary, so we can delete that after the build process and before the bundling process.

Child Tickets

Change History (2)

comment:1 Changed 4 years ago by gk

Cc: gk added
Keywords: tbb-gitian added

comment:2 Changed 2 years ago by dcf

Resolution: duplicate
Severity: Normal
Status: newclosed

Closing this for newer #22499.

Note: See TracTickets for help on using tickets.